/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.decorator._01;

import cc.niushuai.demo.designpattern.creatormodel.decorator.LoginService;
import org.junit.jupiter.api.Test;

/**
 * 测试
 *
 * @author niushuai233
 * @date 2024/1/29 10:49
 * @since 0.0.1
 */
public class LoginTest {


    @Test
    public void test_login() {

        LoginService loginService = new LoginService();
        loginService.login("zhangsan", "123");
        loginService.login("zh", "pass");

        System.out.println();
        loginService.login("zhangsan", "123", "9527");
        loginService.login("zh", "pass", "9527w");

        System.out.println();
        loginService.login("zh", "pass", "9527");
    }
}
