/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.demo.designpattern.creatormodel.facade._01;

import cc.niushuai.demo.designpattern.creatormodel.facade._01.entity.AopUser;

/**
 * aop service implementation
 *
 * @author niushuai233
 * @date 2024/1/29 17:29
 * @since 0.0.1
 */
public class AopServiceImpl implements AopUserService {

    static {
        users.put("zhangsan", new AopUser(1, "zhangsan", "张三"));
        users.put("lisi", new AopUser(2, "lisi", "李四"));
        users.put("wanger", new AopUser(3, "wanger", "王二"));
        users.put("mazi", new AopUser(4, "mazi", "麻子"));
        users.put("fox1", new AopUser(5, "fox1", "狐一"));
    }
}
